## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iFountainState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the fountain mesh object. More...

`#include <imesh/fountain.h>`

Inheritance diagram for iFountainState:

[legend]
List of all members.

## Public Member Functions

virtual const csVector3 & | GetAcceleration () const =0
| Get acceleration.
virtual float | GetAzimuth () const =0
| Get azimuth.
virtual void | GetDropSize (float &dropwidth, float &dropheight) const =0
| Get the size of the fountain drops.
virtual float | GetElevation () const =0
| Get elevation.
virtual float | GetFallTime () const =0
| Get fall time.
virtual bool | GetLighting () const =0
| See if lighting is enabled.
virtual float | GetOpening () const =0
| Get opening.
virtual const csVector3 & | GetOrigin () const =0
| Get origin of the fountain.
virtual int | GetParticleCount () const =0
| Get the number of particles used.
virtual float | GetSpeed () const =0
| Get speed.
virtual void | SetAcceleration (const csVector3 &accel)=0
| Set acceleration.
virtual void | SetAzimuth (float azi)=0
| Set azimuth.
virtual void | SetDropSize (float dropwidth, float dropheight)=0
| Set the size of the fountain drops.
virtual void | SetElevation (float elev)=0
| Set elevation.
virtual void | SetFallTime (float ftime)=0
| Set fall time.
virtual void | SetLighting (bool l)=0
| Enable or disable lighting.
virtual void | SetOpening (float open)=0
| Set opening.
virtual void | SetOrigin (const csVector3 &origin)=0
| Set origin of the fountain.
virtual void | SetParticleCount (int num)=0
| Set the number of particles to use.
virtual void | SetSpeed (float spd)=0
| Set speed.

## Detailed Description

This interface describes the API for the fountain mesh object.

Definition at line 40 of file fountain.h.

## Member Function Documentation

virtual const csVector3& iFountainState::GetAcceleration | ( |  | ) | const`[pure virtual]`

| Get acceleration.

virtual float iFountainState::GetAzimuth | ( |  | ) | const`[pure virtual]`

| Get azimuth.

virtual void iFountainState::GetDropSize | ( | float & | dropwidth,
|  | float & | dropheight
| ) | const`[pure virtual]`

| Get the size of the fountain drops.

virtual float iFountainState::GetElevation | ( |  | ) | const`[pure virtual]`

| Get elevation.

virtual float iFountainState::GetFallTime | ( |  | ) | const`[pure virtual]`

| Get fall time.

virtual bool iFountainState::GetLighting | ( |  | ) | const`[pure virtual]`

| See if lighting is enabled.

virtual float iFountainState::GetOpening | ( |  | ) | const`[pure virtual]`

| Get opening.

virtual const csVector3& iFountainState::GetOrigin | ( |  | ) | const`[pure virtual]`

| Get origin of the fountain.

virtual int iFountainState::GetParticleCount | ( |  | ) | const`[pure virtual]`

| Get the number of particles used.

virtual float iFountainState::GetSpeed | ( |  | ) | const`[pure virtual]`

| Get speed.

virtual void iFountainState::SetAcceleration | ( | const csVector3 & | accel | ) | `[pure virtual]`

| Set acceleration.

virtual void iFountainState::SetAzimuth | ( | float | azi | ) | `[pure virtual]`

| Set azimuth.

virtual void iFountainState::SetDropSize | ( | float | dropwidth,
|  | float | dropheight
| ) | `[pure virtual]`

| Set the size of the fountain drops.

virtual void iFountainState::SetElevation | ( | float | elev | ) | `[pure virtual]`

| Set elevation.

virtual void iFountainState::SetFallTime | ( | float | ftime | ) | `[pure virtual]`

| Set fall time.

virtual void iFountainState::SetLighting | ( | bool | l | ) | `[pure virtual]`

| Enable or disable lighting.

virtual void iFountainState::SetOpening | ( | float | open | ) | `[pure virtual]`

| Set opening.

virtual void iFountainState::SetOrigin | ( | const csVector3 & | origin | ) | `[pure virtual]`

| Set origin of the fountain.

virtual void iFountainState::SetParticleCount | ( | int | num | ) | `[pure virtual]`

| Set the number of particles to use.

virtual void iFountainState::SetSpeed | ( | float | spd | ) | `[pure virtual]`

| Set speed.

The documentation for this struct was generated from the following file:

- imesh/fountain.h